{
	"conditions": [
	{
		"type": "forge:mod_loaded",
		"modid": "cataclysm"
	}
],
	"size": "large",
	"color": "#FF4500",
	"waves": [
        {
			"entities": [
                {
                    "entity": "cataclysm:ignited_berserker",
                    "count": 5
                }
            ],
			"modifiers": [
				{
					"attribute": "generic.max_health",
					"operation": "MULTIPLY_TOTAL",
					"value": 0.50
			}
		],
			"rewards": [
                {
                    "type": "gateways:entity_loot",
                    "entity": "cataclysm:ignited_berserker",
                    "rolls": 3
                }
            ],
			"max_wave_time": 1200,
			"setup_time": 100
		},
        {
			"entities": [
                {
                    "entity": "cataclysm:ignited_revenant",
                    "count": 6
                }
            ],
			"modifiers": [
                {
                    "attribute": "generic.max_health",
                    "operation": "MULTIPLY_TOTAL",
                    "value": 0.60
                },
                {
                    "attribute": "generic.movement_speed",
                    "operation": "MULTIPLY_TOTAL",
                    "value": 0.20
                }
            ],
			"rewards": [
                {
                    "type": "gateways:entity_loot",
                    "entity": "cataclysm:ignited_revenant",
                    "rolls": 3
                }
            ],
			"max_wave_time": 1800,
			"setup_time": 200
		},
        {
			"entities": [
                {
                    "entity": "cataclysm:ignis",
                    "count": 1,
                    "finalize_spawn": false
                },
                {
                    "entity": "cataclysm:ignited_revenant",
                    "count": 5
                }
            ],
			"modifiers": [
				{
						"attribute": "generic.max_health",
						"operation": "MULTIPLY_TOTAL",
						"value": 0.5
				},
				{
						"attribute": "generic.attack_damage",
						"operation": "MULTIPLY_TOTAL",
						"value": 0.3
				}
            ],
			"rewards": [
                {
                    "type": "gateways:entity_loot",
                    "entity": "cataclysm:ignis",
                    "rolls": 1
                },
                {
                    "type": "gateways:entity_loot",
                    "entity": "cataclysm:ignited_revenant",
                    "rolls": 2
                }
            ],
			"max_wave_time": 6000,
			"setup_time": 400
		}
    ],
	"rewards": [
        {
            "type": "gateways:loot_table",
            "loot_table": "minecraft:chests/bastion_other",
            "rolls": 4,
            "desc": "Bastion Chest Loot"
        }
    ],
	"failures": [
        {
            "type": "gateways:explosion",
            "strength": 8,
            "fire": true,
            "block_damage": true
        },
        {
            "type": "gateways:summon",
            "entity": {
                "entity": "cataclysm:ignited_berserker",
                "count": 5
            }
        }
    ]
}
